Update mockup thread reply
curl --request PUT \
--url https://api.surefeedback.com/api/v1/mockup-threads/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"is_private": true,
"mentions": [
{}
]
}
'import requests
url = "https://api.surefeedback.com/api/v1/mockup-threads/{id}"
payload = {
"content": "<string>",
"is_private": True,
"mentions": [{}]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', is_private: true, mentions: [{}]})
};
fetch('https://api.surefeedback.com/api/v1/mockup-threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Reply updated successfully",
"data": {
"id": "thread-001",
"content": "Updated: Use the approved darker green token here.",
"is_private": false
}
}
Mockups
Update mockup thread reply
Update a mockup reply.
PUT
/
mockup-threads
/
{id}
Update mockup thread reply
Updates a mockup reply. The current implementation only allows the reply author to edit it.
Path parameters
string
required
UUID of the mockup reply.
Request body
string
Updated reply text.
boolean
Whether the reply is private.
array
Array of mentioned user IDs.
{
"success": true,
"message": "Reply updated successfully",
"data": {
"id": "thread-001",
"content": "Updated: Use the approved darker green token here.",
"is_private": false
}
}
Was this page helpful?
⌘I